<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structmtb__e2271cs021__pins__t" kind="struct" language="C++" prot="public">
    <compoundname>mtb_e2271cs021_pins_t</compoundname>
    <includes local="no">mtb_e2271cs021_display.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structmtb__e2271cs021__pins__t_1a053062a28becef9cefeaee64c1c95c66" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::spi_mosi</definition>
        <argsstring />
        <name>spi_mosi</name>
        <briefdescription>
<para>SPI MOSI pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="55" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="55" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1a933cf0ab9acdd774f88821aaa251cf1e" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::spi_miso</definition>
        <argsstring />
        <name>spi_miso</name>
        <briefdescription>
<para>SPI MISO pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="56" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="56" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1ad9cff04aa4c084512f09bea1f1e0f3b4" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::spi_sclk</definition>
        <argsstring />
        <name>spi_sclk</name>
        <briefdescription>
<para>SPI SCLK pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="57" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="57" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1a5436b40a9000ec6e83721b3a95a44a09" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::spi_cs</definition>
        <argsstring />
        <name>spi_cs</name>
        <briefdescription>
<para>SPI CS pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="58" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="58" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1a803240db1943c44bfc23110ecaad81e1" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::reset</definition>
        <argsstring />
        <name>reset</name>
        <briefdescription>
<para>GPIO Reset pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="59" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="59" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1a4dcb628b3b6cd77231edc2d7a266149d" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::busy</definition>
        <argsstring />
        <name>busy</name>
        <briefdescription>
<para>GPIO Busy pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="60" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="60" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1a6a4725b90b04c1af6cf6875e8cfd9ea1" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::discharge</definition>
        <argsstring />
        <name>discharge</name>
        <briefdescription>
<para>GPIO Discharge pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="61" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="61" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1a9e03ec2dd02a0584a7eeaad4f90b0654" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::enable</definition>
        <argsstring />
        <name>enable</name>
        <briefdescription>
<para>GPIO Enable pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="62" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="62" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1ad8b69f985dad0da8c3181bb439b899ee" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::border</definition>
        <argsstring />
        <name>border</name>
        <briefdescription>
<para>GPIO Border pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="63" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="63" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__pins__t_1ab447df85157ae699f9621ecbfc0ed7ac" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_e2271cs021_pins_t::io_enable</definition>
        <argsstring />
        <name>io_enable</name>
        <briefdescription>
<para>GPIO IO Enable pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="64" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="64" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure defining the necessary pins to communicate with the E-ink display. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="65" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="53" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="54" />
    <listofallmembers>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1ad8b69f985dad0da8c3181bb439b899ee" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>border</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1a4dcb628b3b6cd77231edc2d7a266149d" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>busy</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1a6a4725b90b04c1af6cf6875e8cfd9ea1" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>discharge</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1a9e03ec2dd02a0584a7eeaad4f90b0654" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>enable</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1ab447df85157ae699f9621ecbfc0ed7ac" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>io_enable</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1a803240db1943c44bfc23110ecaad81e1" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>reset</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1a5436b40a9000ec6e83721b3a95a44a09" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>spi_cs</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1a933cf0ab9acdd774f88821aaa251cf1e" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>spi_miso</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1a053062a28becef9cefeaee64c1c95c66" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>spi_mosi</name></member>
      <member prot="public" refid="structmtb__e2271cs021__pins__t_1ad9cff04aa4c084512f09bea1f1e0f3b4" virt="non-virtual"><scope>mtb_e2271cs021_pins_t</scope><name>spi_sclk</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>